## noris-eximtools 1.1.5

=== Makefile ===
build:

install:
	cp -r usr/ ${DESTDIR}/
	pod2man ${DESTDIR}/usr/bin/feed_eximlog --section=1 ${DESTDIR}/usr/share/man/man1/nexigrep.1
	pod2man ${DESTDIR}/usr/bin/nexigrep --section=1 ${DESTDIR}/usr/share/man/man1/feed_eximlog.1

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-eximtools (1.1.5) wheezy; urgency=low

  * Version für wheezy

 -- Micha Krause <Micha@noris.de>  Fri, 21 Sep 2012 13:11:32 +0200

noris-eximtools (1.1.4) lenny; urgency=low

  * nur Version inkrementiert

 -- Martin H. Sluka <fany@noris.net>  Thu, 10 Nov 2011 10:08:11 +0100

noris-eximtools (1.1.3) lenny; urgency=low

  * #11769734: exigrep: Bugfix für -ok

 -- Martin H. Sluka <fany@noris.net>  Wed, 09 Nov 2011 18:20:55 +0100

noris-eximtools (1.1.2) lenny; urgency=low

  * #10120734: Manpage zu fold_output hinzugefügt.

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 26 Nov 2010 11:33:07 +0100

noris-eximtools (1.1.1) lenny; urgency=low

  * #10120734: fold_output hinzufuegen

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 26 Nov 2010 11:22:53 +0100

noris-eximtools (1.1.0) stable; urgency=low

  * feed_eximlog: bzip2-Unterstützung (Ticket 10089167)

 -- Martin H. Sluka <fany@noris.net>  Tue, 12 Jan 2010 16:00:30 +0100

noris-eximtools (1.0.3+nmu1) lenny; urgency=low

  * new 4 lenny

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 29 Apr 2009 14:40:30 +0200

noris-eximtools (1.0.3) stable; urgency=low

  * feed_eximlog: bessere Fehlermeldung bei Dateizugriffsproblemen

 -- Martin H. Sluka <fany@noris.net>  Mon, 20 Apr 2009 13:10:50 +0200

noris-eximtools (1.0.2) stable; urgency=low

  * nexigrep: Workaround für mehrzeilige Log-Einträge
  * nexigrep: Bugfix: Warnung beim Aufruf ohne Argumente vermeiden

 -- Martin H. Sluka <fany@noris.net>  Thu, 11 Sep 2008 15:25:10 +0200

noris-eximtools (1.0.1) stable; urgency=low

  * nexigrep: Optionen -server und -not-server entfernt, da veraltet --
    die Logs auf mail00 enthalten nicht mehr "HOST.backup", sondern nur
    noch "HOST" -- und in Zeiten von mailgrep nicht mehr erforderlich.
    Wer das (auf mail00) braucht, soll mit grep vorfiltern, was eh
    schneller geht.

 -- Martin H. Sluka <fany@noris.net>  Thu, 08 May 2008 17:51:16 +0200

noris-eximtools (1.0) stable; urgency=low

  * Initial release.

 -- Martin H. Sluka <fany@noris.net>  Wed, 07 May 2008 14:29:47 +0200

=== debian/control ===
Source: noris-eximtools
Section: noris/server
Priority: optional
Maintainer: Martin H. Sluka <fany@noris.net>
Build-Depends: debhelper (>> 5)
Standards-Version: 3.7.2

Package: noris-eximtools
Architecture: all
Depends: bzip2, libfile-sortedseek-perl, libtime-modules-perl, libtimedate-perl, perl (>= 5.6), perl-modules
Description: Tools for debugging exim, e.g. logfile analysis
 Noris Exim-Tools Sammlung

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
#export DH_COMPAT=4



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-eximtools


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## noris-eximtools 1.1.7

=== Makefile ===
build:

install:
	cp -r usr/ ${DESTDIR}/
	pod2man ${DESTDIR}/usr/bin/feed_eximlog --section=1 | iconv -f latin1 -t utf8 > ${DESTDIR}/usr/share/man/man1/nexigrep.1
	pod2man ${DESTDIR}/usr/bin/nexigrep --section=1 | iconv -f latin1 -t utf8 > ${DESTDIR}/usr/share/man/man1/feed_eximlog.1

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-eximtools (1.1.7) jessie; urgency=low

  * #14481042: nexigrep: Altlasten aus Code beseitigt [ Martin H. Sluka ]

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 23 Apr 2015 16:35:14 +0200

noris-eximtools (1.1.6) wheezy; urgency=low

  * #14481042: Vermeide out of memory 

 -- Moritz Lenz <mlenz@noris.net>  Tue, 28 May 2013 14:40:37 +0200

noris-eximtools (1.1.5) lenny; urgency=low

  * feed_eximlog kennt jetzt die Option --follow

 -- Moritz Lenz <mlenz@noris.net>  Fri, 30 Nov 2012 10:11:43 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,6 @@
 
 Package: noris-eximtools
 Architecture: all
-Depends: bzip2, libfile-sortedseek-perl, libtime-modules-perl, libtimedate-perl, perl (>= 5.6), perl-modules
+Depends: bzip2, libfile-sortedseek-perl, libtime-modules-perl, libtimedate-perl, perl (>= 5.10), perl-modules
 Description: Tools for debugging exim, e.g. logfile analysis
  Noris Exim-Tools Sammlung
